| Bsoft 2.0.5 Bernard's software package

Public Member Functions | Public Attributes | List of all members
Transform Class Reference

`#include <Transform.h>`

## Public Member Functions
| Transform ()
| Transform (Quaternion &q)
| Transform (Matrix3 &m)
Vector3< double > | operator * (Vector3< double > v)

## Public Attributes
Transform * | next
Vector3< double > | origin
Vector3< double > | axis
double | angle
Vector3< double > | trans
Vector3< double > | scale
double | fom

## Detailed Description

Definition at line 24 of file Transform.h.

## Constructor & Destructor Documentation

## ◆ Transform() [1/3]

Transform::Transform | ( |  | ) |
| inline

Definition at line 42 of file Transform.h.

## ◆ Transform() [2/3]

Transform::Transform | ( | Quaternion & | q | ) |
| inline

Definition at line 44 of file Transform.h.

## ◆ Transform() [3/3]

Transform::Transform | ( | Matrix3 & | m | ) |
| inline

Definition at line 47 of file Transform.h.

## Member Function Documentation

## ◆ operator *()

Vector3<double> Transform::operator * | ( | Vector3< double > | v | ) |
| inline

Definition at line 51 of file Transform.h.

## Member Data Documentation

## ◆ angle

double Transform::angle

Definition at line 29 of file Transform.h.

## ◆ axis

Vector3<double> Transform::axis

Definition at line 28 of file Transform.h.

## ◆ fom

double Transform::fom

Definition at line 32 of file Transform.h.

## ◆ next

Transform* Transform::next

Definition at line 26 of file Transform.h.

## ◆ origin

Vector3<double> Transform::origin

Definition at line 27 of file Transform.h.

## ◆ scale

Vector3<double> Transform::scale

Definition at line 31 of file Transform.h.

## ◆ trans

Vector3<double> Transform::trans

Definition at line 30 of file Transform.h.

The documentation for this class was generated from the following file:

- /Users/bernard/b20/bsoft/include/Transform.h